Bug 496659 - tg3 trouble establishing link at boot
tg3 trouble establishing link at boot
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.3
All Linux
low Severity medium
: rc
: ---
Assigned To: Ivan Vecera
Red Hat Kernel QE team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-20 11:04 EDT by Orion Poplawski
Modified: 2009-08-27 02:43 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-27 02:43:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2009-04-20 11:04:40 EDT
Description of problem:

On boot, system generally cannot establish link on eth0.  Re-running ifup eth0 eventually can bring it up.

Apr 20 08:47:42 draco kernel: eth0: Tigon3 [partno(BCM95704A7) rev 2003 PHY(5704)] (PCIX:100MHz:64-bit) 10/100/1000Base-T Ethernet 00:e0:81:34:aa:7c
Apr 20 08:47:42 draco kernel: eth0: RXcsums[1] LinkChgREG[0] MIirq[0] ASF[0] WireSpeed[1] TSOcap[1]
Apr 20 08:47:42 draco kernel: eth0: dma_rwctrl[769f4000] dma_mask[64-bit]
Apr 20 08:47:42 draco kernel: eth1: Tigon3 [partno(BCM95704A7) rev 2003 PHY(5704)] (PCIX:100MHz:64-bit) 10/100/1000Base-T Ethernet 00:e0:81:34:aa:7d
Apr 20 08:47:42 draco kernel: eth1: RXcsums[1] LinkChgREG[0] MIirq[0] ASF[0] WireSpeed[1] TSOcap[1]
Apr 20 08:47:42 draco kernel: eth1: dma_rwctrl[769f4000] dma_mask[64-bit]
Apr 20 08:47:43 draco kernel: tg3: eth1: Link is up at 1000 Mbps, full duplex.
Apr 20 08:47:43 draco kernel: tg3: eth1: Flow control is on for TX and on for RX.
Apr 20 08:50:31 draco kernel: ADDRCONF(NETDEV_UP): eth0: link is not ready
Apr 20 08:50:36 draco kernel: tg3: eth0: Link is up at 1000 Mbps, full duplex.
Apr 20 08:50:36 draco kernel: tg3: eth0: Flow control is off for TX and off for RX.
Apr 20 08:50:36 draco kernel: ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready
Apr 20 08:50:45 draco kernel: ADDRCONF(NETDEV_UP): eth0: link is not ready
Apr 20 08:50:47 draco kernel: tg3: eth0: Link is up at 1000 Mbps, full duplex.
Apr 20 08:50:47 draco kernel: tg3: eth0: Flow control is off for TX and off for RX.
Apr 20 08:50:47 draco kernel: ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready

Version-Release number of selected component (if applicable):
2.6.18-128.1.6.el5

How reproducible:
Most times.

No problem on eth1, but that interface is static, eth0 is dhcp.  I'll try moving eth0 to static and see if that helps.  Also, eth0 probably has more traffic on it.
Comment 1 Orion Poplawski 2009-04-27 12:00:58 EDT
Still happens with static configuration.
Comment 2 Ivan Vecera 2009-05-07 07:53:23 EDT
Are you able to reproduce the issue with 2.6.18-144.el5 kernel? There were one bigger update of tg3 since 2.6.18-128... Could you please test these kernels, they are available at:
http://people.redhat.com/dzickus/el5/144.el5/
Comment 3 Orion Poplawski 2009-05-07 10:59:35 EDT
Still happens with 2.6.18-144.el5 and tg3.c:v3.96-1 (November 21, 2008).
Comment 4 Orion Poplawski 2009-05-13 12:47:10 EDT
Seeing this on another system as well with a slightly different BCM5704 nic:

eth0: Tigon3 [partno(BCM95704) rev 2002 PHY(5704)] (PCIX:100MHz:64-bit) 10/100/1000Base-T Ethernet 00:00:1a:19:9f:bb
Comment 5 Ivan Vecera 2009-05-14 11:31:01 EDT
Your eth0 and eth1 are both BCM5704 rev 2002, right? But only eth0 has problems to establish link. eht1 is not affected?
Comment 6 Orion Poplawski 2009-05-14 11:40:43 EDT
Two systems:

#1 (original) - Tyan Transport GX28 B2881 (BCM95704A7) rev 2003 PHY(5704)
#2 (comment #4) - HP ProLiant DL145 G1 (BCM95704) rev 2002 PHY(5704)

on both, eth0 is the one that appears to have problems.  Have not seen problems on eth1.
Comment 7 Ivan Vecera 2009-05-14 12:26:46 EDT
What's happen when you switch net-cables between eth0 and eth1 on system #1?
Comment 8 Ivan Vecera 2009-06-04 13:38:44 EDT
Anything new? Did you try to switch cables betweeen eth0 and eth1?

Note You need to log in before you can comment on or make changes to this bug.